"""
See https://github.com/savoirfairelinux/num2words/blob/master/num2words/lang_HE.py
"""

ZERO = {
    'אפס': 'אֶפֶס'
}


ONES = {
    'אחת': 'אַחַת',
    'אחד': 'אֶחָד',
    'ראשונה': 'רִאשׁוֹנָה',
    'ראשון': 'רִאשׁוֹן',
    'ראשונות': 'רִאשׁוֹנוֹת',
    'ראשונים': 'רִאשׁוֹנִים',
    'שתיים': 'שְׁתַּיִם',
    'שניים': 'שְׁנַיִם',
    'שתי': 'שְׁתֵּי',
    'שני': 'שְׁנִי',
    'שנייה': 'שְׁנִיָּה',
    'שניות': 'שְׁנִיּוֹת',
    'שלוש': 'שְׁלוֹשׁ',
    'שלושה': 'שְׁלוֹשָׁה',
    'שלושת': 'שְׁלוֹשֶׁת',
    'שלישית': 'שְׁלִישִׁית',
    'שלישי': 'שְׁלִישִׁי',
    'שלישיות': 'שְׁלִישִׁיּוֹת',
    'שלישיים': 'שְׁלִישִׁיִּים',
    'ארבע': 'אַרְבַּע',
    'ארבעה': 'אַרְבַּעָה',
    'ארבעת': 'אַרְבַּעֶת',
    'רביעית': 'רְבִיעִית',
    'רביעי': 'רְבִיעִי',
    'רביעיות': 'רְבִיעִיוֹת',
    'רביעיים': 'רְבִיעִיִּים',
    'חמש': 'חָמֵשׁ',
    'חמישה': 'חֲמִשָּׁה',
    'חמשת': 'חֲמִשֶּׁת',
    'חמישית': 'חֲמִישִּׁית',
    'חמישי': 'חֲמִישִּׁי',
    'חמישיות': 'חֲמִישִּׁיוֹת',
    'חמישיים': 'חֲמִישִּׁיִּים',
    'שש': 'שֵׁשׁ',
    'שישה': 'שִׁשָּׁה',
    'ששת': 'שִׁשֶּׁת',
    'שישית': 'שִׁשִּׁית',
    'שישי': 'שִׁשִּׁי',
    'שישיות': 'שִׁשִּׁיוֹת',
    'שישיים': 'שִׁשִּׁיִּים',
    'שבע': 'שֶׁבַע',
    'שבעה': 'שִׁבְעָה',
    'שבעת': 'שִׁבְעֶת',
    'שביעית': 'שְׁבִיעִית',
    'שביעי': 'שְׁבִיעִי',
    'שביעיות': 'שְׁבִיעִיוֹת',
    'שביעיים': 'שְׁבִיעִיִּים',
    'שמונה': 'שְׁמוֹנֶה',
    'שמונת': 'שְׁמוֹנֶת',
    'שמינית': 'שְׁמִינִית',
    'שמיני': 'שְׁמִינִי',
    'שמיניות': 'שְׁמִינִיוֹת',
    'שמיניים': 'שְׁמִינִיִּים',
    'תשע': 'תֵּשַׁע',
    'תשעה': 'תִּשְׁעָה',
    'תשעת': 'תִּשְׁעַת',
    'תשיעית': 'תְּשִׁיעִית',
    'תשיעי': 'תְּשִׁיעִי',
    'תשיעיות': 'תְּשִׁיעִיּוֹת',
    'תשיעיים': 'תִּשְׁעִיִּים',
}


TENS = {
    'עשר': 'עֶשֶׂר',
    'עשרה': 'עֲשָׁרָה',
    'עשרת': 'עֲשֶׁרֶת',
    'עשירית': 'עֲשִׁירִית',
    'עשירי': 'עֲשִׁירִי',
    'עשיריות': 'עֲשִׁירִיוֹת',
    'עשיריים': 'עֲשִׁירִיִּים',
    'שתים עשרה': 'שְׁתֵּים עֶשְׂרֵה',
    'שנים עשר': 'שְׁנֵים עָשָׂר',
}


TWENTIES = {
    'עשרים': 'עֶשְׂרִים',
    'שלושים': 'שְׁלוֹשִׁים',
    'ארבעים': 'אַרְבָּעִים',
    'חמישים': 'חֲמִשִּׁים',
    'שישים': 'שִׁשִּׁים',
    'שבעים': 'שִׁבְעִים',
    'שמונים': 'שְׁמוֹנִים',
    'תשעים': 'תִּשְׁעִים',
}


HUNDREDS = {
    'מאה': 'מֵאָה',
    'מאת': 'מַאֲת',
    'מאתיים': 'מָאתַיִם',
    'מאות': 'מֵאוֹת',
}

THOUSANDS = {
    'אלף': 'אֶלֶף',
    'אלפיים': 'אַלְפַּיִם',
    'אלפים': 'אַלְפִּים',
    'אלפי': 'אַלְפִּי',
}


LARGE = {
    'מיליון': 'מִילְיוֹן',
    'מיליוני': 'מִילְיוֹנִי',
    'מיליארד': 'מִילְיַארְד',
    'מיליארדי': 'מִילְיַארְדִּי',
    'טריליון': 'טְרִילְיוֹן',
    'טריליוני': 'טְרִילְיוֹנִי',
    'קוודריליון': 'קוֹוַדְרִילְיוֹן',
    'קוודריליוני': 'קוֹוַדְרִילְיוֹנִי',
    'קווינטיליון': 'קוִוִּנְטִילְיוֹן',
    'קווינטיליוני': 'קוִוִּנְטִילְיוֹנִי',
    'סקסטיליון': 'סְקֶסְטִילְיוֹן',
    'סקסטיליוני': 'סְקֶסְטִילְיוֹנִי',
    'ספטיליון': 'סְפֶּטִילְיוֹן',
    'ספטיליוני': 'סְפֶּטִילְיוֹנִי',
    'אוקטיליון': 'אוֹקְטִילְיוֹן',
    'אוקטיליוני': 'אוֹקְטִילְיוֹנִי',
    'נוניליון': 'נוּנִילְיוֹן',
    'נוניליוני': 'נוּנִילְיוֹנִי',
    'דסיליון': 'דֶּסִילְיוֹן',
    'דסיליוני': 'דֶּסִילְיוֹנִי',
    'אונדסיליון': 'אוּנְדְסִילְיוֹן',
    'אונדסיליוני': 'אוּנְדְסִילְיוֹנִי',
    'דואודסיליון': 'דוּאודְסִילְיוֹן',
    'דואודסיליוני': 'דוּאודְסִילְיוֹנִי',
    'טרדסיליון': 'טֶרְדְסִילְיוֹן',
    'טרדסיליוני': 'טֶרְדְסִילְיוֹנִי',
    'קווטואורדסיליון': 'קוּוטְוָאורְדְסִילְיוֹן',
    'קווטואורדסיליוני': 'קוּוטְוָאורְדְסִילְיוֹנִי',
    'קווינדסיליון': 'קוִוִּנְדְסִילְיוֹן',
    'קווינדסיליוני': 'קוִוִּנְדְסִילְיוֹנִי',
    'סקסדסיליון': 'סֶקְסְדְסִילְיוֹן',
    'סקסדסיליוני': 'סֶקְסְדְסִילְיוֹנִי',
    'ספטנדסיליון': 'סְפֶּטַנְדְסִילְיוֹן',
    'ספטנדסיליוני': 'סְפֶּטַנְדְסִילְיוֹנִי',
    'אוקטודסיליון': 'אוֹקְטוֹדְסִילְיוֹן',
    'אוקטודסיליוני': 'אוֹקְטוֹדְסִילְיוֹנִי',
    'נובמדסיליון': 'נוֹבְמַדְסִילְיוֹן',
    'נובמדסיליוני': 'נוֹבְמַדְסִילְיוֹנִי',
    'ויגינטיליון': 'וִיגִּינְטִילְיוֹן',
    'ויגינטיליוני': 'וִיגִּינְטִילְיוֹנִי',
}


LETTERS = {
    'ו': 'וֵ',
    'ה': 'הַ',
}


CURRENCY = {
    'שקל': 'שֵׁקֶל',
    'שקלים': 'שְׁקָלִים',
    'אגורה': 'אֲגוּרָה',
    'אגורות': 'אֲגוּרוֹת',
    'אירו': 'אֵירוֹ',
    'סנט': 'סֵנְט',
    'סנטים': 'סֵנְטִים',
    'דולר': 'דוֹלָר',
    'דולרים': 'דוֹלָרִים',
}


POINTS = {
    'מינוס': 'מִינּוּס',
    'נקודה': 'נְקֻדָּה',
}

ALL_NUMBERS = {
    **CURRENCY,
    **HUNDREDS,
    **LARGE,
    **LETTERS,
    **ONES,
    **POINTS,
    **TENS,
    **THOUSANDS,
    **TWENTIES,
    **ZERO,
}