from ..characters.diacritics import Diacritics

IPA_DIACRITICS = {
    Diacritics.DAGESH: 'ˈ',  # Dagesh (emphasis or gemination mark)
    
    Diacritics.SHVA: '',  # Shva (neutral, no phonetic value in isolation)
    Diacritics.HATAF_SEGOL: 'e',  # Hataf Segol (short 'e' sound)
    Diacritics.HATAF_PATAH: 'a',  # Hataf Patah (short 'a' sound)
    Diacritics.HATAF_KAMATZ: 'o',  # Hataf Kamatz (short 'o' sound)
    Diacritics.HIRIK: 'i',  # Hirik (short 'i' sound)
    Diacritics.TSERE: 'e',  # Tsere (short 'e' sound)
    Diacritics.SEGOL: 'e',  # Segol (short 'e' sound)
    Diacritics.PATAH: 'a',  # Patah (short 'a' sound)
    Diacritics.KAMATZ: 'a',  # Kamatz (long 'a' sound)
    Diacritics.HOLAM: 'o',  # Holam (long 'o' sound)
    Diacritics.VAV_HOLAM_HASER: 'o',  # Vav Holam Haser (short 'o' sound)
    Diacritics.KUBUTZ: 'u',  # Kubutz (short 'u' sound)
    Diacritics.DAGESH: 'ˈ',  # Dagesh (emphasis mark, same as above)
    Diacritics.METEG: 'ˈ',  # Meteg (emphasis mark, used with Kamatz)
    Diacritics.MAKAF: '-',  # Makaf (hyphen, no pronunciation)
    Diacritics.RAFE: '',  # Rafe (used for weakening consonants, no pronunciation)
    Diacritics.PUNCTUATION_PASEQ: '',  # Paseq (mark for clause separation, no pronunciation)
    Diacritics.SHIN_DOT: '',  # Shin dot (sh sound)
    Diacritics.SIN_DOT: '',  # Sin dot (s sound)
    Diacritics.SOF_PASUK: '.',  # Sof Pasuk (period, end of sentence)
    
    Diacritics.UPPER_DOT: '',  # Upper Dot (rare, no pronunciation)
    Diacritics.LOWER_DOT: '',  # Lower Dot (rare, no pronunciation)

    Diacritics.NUN_AFUKHA: 'n',  # Nun Afukha (final 'n')
    
    Diacritics.KAMATZ_KATAN: 'o',  # Kamatz Katan (short 'o' sound)
    
    Diacritics.YIDDISH_DOUBLE_VAV: 'v',  # Yiddish Double Vav (v sound)
    Diacritics.YIDDISH_VAV_YOD: 'j',  # Yiddish Vav Yod (y sound)
    Diacritics.YIDDISH_YOD_YOD: 'j',  # Yiddish Yod Yod (j sound)
    
    Diacritics.GERESH: "'",  # Geresh (apostrophe-like mark)
    Diacritics.GERSHAIM: '"',  # Gershaim (quotation mark)
}